<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
IEdmVault7 Interface
See Also Members Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : IEdmVault7 Interface

Visual Basic
C#
C++/CLI

Allows you to access a file vault.

NOTE: Click the Members link, located near the top of the topic, to see this interface's methods and properties.

# Syntax

Visual Basic |
--- | ---

    Public Interface IEdmVault7
       Inherits IEdmVault5, IEdmVault6

C# |
--- | ---

    public interface IEdmVault7 : IEdmVault5, IEdmVault6

C++/CLI |
--- | ---

    public interface class IEdmVault7 : public IEdmVault5, IEdmVault6

# Example

Find Revisions Using Component (C#)
Find Revisions Using Component (VB.NET)
Add Items (C#)
Add Items (VB.NET)
Get File References for a File (C#)
Get File References for a File (VB.NET)
Create a Task that Finds Files in Workflow States (VB.NET)
Create a Task that Finds Files in Workflow States (C#)

# Remarks

This interface:

- extends IEdmVault6.
- is extended by IEdmVault8.

# See Also

####

IEdmVault7 Members
EPDM.Interop.epdm Namespace